# std::weak_ptr::reset

From cppreference.com
< cpp‎ | memory‎ | weak ptr

void reset(); |  | (since C++11)

Releases the reference to the managed object. After the call *this manages no object.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/weak_ptr/reset&oldid=91457"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template